Bug 1939144 (CVE-2021-3475) - CVE-2021-3475 OpenEXR: Integer-overflow in Imf_2_5::calculateNumTiles
Summary: CVE-2021-3475 OpenEXR: Integer-overflow in Imf_2_5::calculateNumTiles
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2021-3475
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1944360 1939181 1944359 1944361 1944362
Blocks: 1929339 1944369
TreeView+ depends on / blocked
 
Reported: 2021-03-15 17:25 UTC by Michael Kaplan
Modified: 2022-04-17 21:12 UTC (History)
6 users (show)

Fixed In Version: OpenEXR 3.0.0-beta, OpenEXR 2.4.3
Doc Type: If docs needed, set a value
Doc Text:
There is a flaw in OpenEXR. An attacker who can submit a crafted file to be processed by OpenEXR could cause an integer overflow, potentially leading to problems with application availability.
Clone Of:
Environment:
Last Closed: 2021-11-02 23:18:28 UTC


Attachments (Terms of Use)

Description Michael Kaplan 2021-03-15 17:25:45 UTC
Integer-overflow in Imf_2_5::calculateNumTiles

Comment 1 Michael Kaplan 2021-03-15 17:25:49 UTC
External References:

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=25297

Comment 2 Michael Kaplan 2021-03-15 17:48:24 UTC
Created OpenEXR tracking bugs for this issue:

Affects: fedora-all [bug 1939181]

Comment 3 Todd Cullum 2021-03-29 19:06:21 UTC
Flaw summary:

An integer overflow could occur in calculateNumTiles() of OpenEXR/IlmImf/ImfTiledMisc.cpp if size=MAX_INT. The patch uses a 64-bit integer type to hold the return value of levelSize() and avoid this flaw.

Comment 7 Cary Phillips 2021-04-23 01:19:43 UTC
This is fixed in OpenEXR release v2.5.4, v2.5.5, and v3.0.1+.


Note You need to log in before you can comment on or make changes to this bug.